API referenceMessages
GET /inbox/conversations/{id}/messages/{messageId}/attachments/{index}
One attachment of a message as a URL that works now; authenticated: true when the URL is a Postgale route that needs the API key (WhatsApp media)
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringConversation id
messageId*stringMessage id (Postgale or platform id)
index*stringAttachment index (0-based)
{type, url, mimeType, authenticated?}
application/json- response
type?stringurl?stringmimeType?string|nullauthenticated?booleancurl -X GET 'https://example.com/api/v1/inbox/conversations/string/messages/string/attachments/string'Example Response
{ "type": "string", "url": "string", "mimeType": "string", "authenticated": true}DELETE /inbox/conversations/{id}/messages/{messageId}/reactions DELETE
Remove the account's reaction from a message. Queued for approval (202) while approval applies
POST /inbox/conversations/{id}/typing POST
Show (or with on: false, clear) a typing indicator, where the platform supports it (else 400 not_supported)